Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.model
Class DiscoveryOptions

    java.lang.Object
      org.fourthline.cling.model.DiscoveryOptions

    public class DiscoveryOptions

extends Object

Options for discovery processing by the `Registry`.

Author:
  Christian Bauer

Field Summary
`protected boolean` | `advertised`
`protected boolean` | `byeByeBeforeFirstAlive`

Constructor Summary
`DiscoveryOptions(boolean advertised)`
`DiscoveryOptions(boolean advertised, boolean byeByeBeforeFirstAlive)`

Method Summary
`boolean` | `isAdvertised()`
`boolean` | `isByeByeBeforeFirstAlive()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### advertised

    protected boolean advertised

### byeByeBeforeFirstAlive

    protected boolean byeByeBeforeFirstAlive

Constructor Detail

### DiscoveryOptions

    public DiscoveryOptions(boolean advertised)

Parameters:
  `advertised` - If `false`, no alive notifications will be announced for this device and it will not appear in search responses.

### DiscoveryOptions

    public DiscoveryOptions(boolean advertised,
                            boolean byeByeBeforeFirstAlive)

Parameters:
  `advertised` - If `false`, no alive notifications will be announced for this device and it will not appear in search responses.
  `byeByeBeforeFirstAlive` - If `true`, a byebye NOTIFY message will be send before the first alive NOTIFY message.

Method Detail

### isAdvertised

    public boolean isAdvertised()

  Returns:
    true for regular advertisement with alive messages and in search responses.

### isByeByeBeforeFirstAlive

    public boolean isByeByeBeforeFirstAlive()

  Returns:
    true if a byebye NOTIFY message will be send before the first alive NOTIFY message.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.